<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Documento sin título</title>
<style>
body{
	font-family:Eurostile, EurostileDCDBol;
	font-size:14px;
}

.aa {
	border: 1px solid #ccc;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	border-radius: 5px;
	-moz-box-shadow: 2px 2px 3px #666;
	-webkit-box-shadow: 2px 2px 3px #666;
	box-shadow: 2px 2px 3px #666;
	font-size: 12px;
	padding: 3px 4px;
	outline: 0;
	-webkit-appearance: none;
	background-color:white;
	font-family:Eurostile, EurostileDCDBol;font-size: 14px; color: black;
} 	

.aa:hover  {
	border: 1px solid #ccc;
	-moz-border-radius: 5px;
	background-color:#CCC;
	color:black;
	-webkit-border-radius: 5px;
	border-radius: 5px;
	-moz-box-shadow: 2px 2px 3px #666;
	-webkit-box-shadow: 2px 2px 3px #666;
	box-shadow: 2px 2px 3px #666;
	font-size: 12px;
	padding: 3px 4px;
	outline: 0;
	-webkit-appearance: none;
	font-family:Eurostile, EurostileDCDBol;font-size: 14px; color: black;
} 	

.ab {
	border: 1px solid #ccc;
	-moz-border-radius: 5px;
	-webkit-border-radius: 5px;
	border-radius: 5px;
	-moz-box-shadow: 2px 2px 3px #666;
	-webkit-box-shadow: 2px 2px 3px #666;
	box-shadow: 2px 2px 3px #666;
	font-size: 12px;
	padding: 3px 4px;
	outline: 0;
	-webkit-appearance: none;
	background-color:#3FF;
	font-family:Eurostile, EurostileDCDBol;font-size: 14px; color: black;
	cursor:pointer
} 	

.ab:hover  {
	border: 1px solid #ccc;
	-moz-border-radius: 5px;
	background-color:#ccc;
	color:white;
	-webkit-border-radius: 5px;
	border-radius: 5px;
	-moz-box-shadow: 2px 2px 3px #666;
	-webkit-box-shadow: 2px 2px 3px #666;
	box-shadow: 2px 2px 3px #666;
	font-size: 12px;
	padding: 3px 4px;
	outline: 0;
	-webkit-appearance: none;
	font-family:Eurostile, EurostileDCDBol;font-size: 14px; color: #666;
	cursor:pointer
} 	

</style>
<script type="text/javascript" src="../../js/jquery.js"></script>
<script type="text/javascript" src="../../js/funciones.js"></script>
<script type="text/javascript" src="../../js/validator.js"></script>

<script>
function bus(valor){
	 
	 
	$.ajax({
        url: "buscar_clientes.php?valor="+valor,
        async:true,
        beforeSend: function(objeto){
            //alert("Adiós, me voy a ejecutar");
        },
        complete: function(objeto, exito){
            //alert("Me acabo de completar")
			$.ajax({
			  type: "GET",
			  url: "js/sorter/script.js",
			  dataType: "script",
			  async:false
			});

            if(exito=="success"){
                if(document.getElementById('tabla')) {
			  var sorter = new TINY.table.sorter("sorter");
				sorter.head = "head";
				sorter.asc = "asc";
				sorter.desc = "desc";
				sorter.even = "evenrow";
				sorter.odd = "oddrow";
				sorter.evensel = "evenselected";
				sorter.oddsel = "oddselected";
				sorter.paginate = true;
				sorter.currentid = "currentpage";
				sorter.limitid = "pagelimit";
				sorter.init("tabla",0);
			  }
            }
        },
        contentType: "application/x-www-form-urlencoded",
        dataType: "html",
        error: function(objeto, quepaso, otroobj){
            alert("Estas viendo esto por que fallé");
            alert("Pasó lo siguiente: "+quepaso);
        },
        global: true,
        ifModified: false,
        processData:true,
        success: function(datos){
            //alert(datos);
			$('#divBuscar').html(datos);
        },
        timeout: 3000,
        type: "GET"
});
}

function Buscar(valor) {
 
	$("#buscar").click(function(evento){
       //evento.preventDefault();
       $("#tabla").load("buscar_clientes.php?valor="+valor);
	   
    });
 
	
}

function Editar(forma) {
    if ( $('#idcliente').val() == "" ) {
    	alert("Por favor seleccione el cliente editar.");
    	return;
    } else {
  		disable_campos(false);
  		$('#menu_editar').hide();
  		$('#menu_guardar').show();
		$('#menu_eliminar').show();
		$('#operacion').val('CAMBIO');
  	}
}
function Guardar(forma) {
//alert($('#operacion').val())
var a;
a = v.exec();
if (a == false) {
		//validación de campos
} else {
		// Valores de todos los elementos de la forma
		var laDatos = valores_forma(forma);
		// Envio de peticion
		$.post( "razon_social_procesar.php",
				$(laDatos),
				function FuncionRecepcion(respuesta) {
					var laRespuesta = eval('(' + respuesta + ')');
					if ( laRespuesta != null ) {
						var laActions = laRespuesta["actions"];
						var liIdx;
						for ( liIdx=0 ; liIdx<laActions.length ; liIdx++ )
							eval( laActions[liIdx] );
					}
				});
	}
}

function Cancelar(forma){
	limpia_forma(forma);
	$('#menu_crear').show();
	$('#menu_guardar').hide();
	$('#menu_editar').show();
	$('#menu_eliminar').hide();
}



function Eliminar(forma) {

  	if ( $('#idcliente').val() == "" ) {
    	alert("Por favor ingrese el cliente a borrar.");
    	return;
    }

    if (confirm("¿Está seguro que desea borrar a este cliente?")) {
		$('#operacion').val('BAJA');
		var laDatos = valores_forma(forma);
		$.post( "razon_social_procesar.php",
				$(laDatos),
				function FuncionRecepcion(respuesta) {
					var laRespuesta = eval('(' + respuesta + ')');
					if ( laRespuesta != null ) {
						var laActions = laRespuesta["actions"];
						var liIdx;
						for ( liIdx=0 ; liIdx<laActions.length ; liIdx++ )
							eval( laActions[liIdx] );
					}
				});
	}
}

function Nuevo(forma) {
	disable_campos(false);
	limpia_forma();
	$('#menu_editar').hide();
  	$('#menu_guardar').show();
	$('#menu_eliminar').hide();
	$('#menu_cancelar').show();

	// Crear
	$('#razonsocial').val("");
	$('#idcliente').val("");
	$('#operacion').val('ALTA');

	$('#razonsocial').focus();

  }
  
  function disable_campos(valor) {

  	// Habilito
	$('#razonsocial').attr('disabled', valor);
}

 function limpia_forma() {
	$('#razonsocial').val("");
	$('#idcliente').val("");
	$('#operacion').val('');
  }



$(document).ready( function() {

	// Menus
	//Buscar('')
	//disable_campos(true)

	$('#menu_guardar').hide();

	$('#menu_eliminar').hide();
	$('#razonsocial').focus()
	/*$("#zona").autocomplete("lista_de_zonas.php", {
		width: 220,
		max:1000,
		matchContains: true,
		selectFirst: false
	});
	
	$("#zona").result(function(event, data, formatted) {
		$("#zona").val(data[0]);
		$("#idzona").val(data[1]);
	});*/

  });

  

  //----------------------------------------------------------------

  //Script de validación

  //----------------------------------------------------------------

  var a_fields = {

		'razonsocial':{'l':'Razón social','r':true,'t':'t_razonsocial','mn':'1','mx':'200'}
  		},

	  o_config = {

		'to_disable' : ['Submit', 'Reset'],

		'alert' : 1

		};

  var v = new validator('forma', a_fields, o_config);

 
</script>
</head>

<body>

<form id="forma" name="forma">
<p>
  <input type="button" id="menu_crear" value="Alta"  class="ab" onClick="Nuevo(document.forma)" />
  <input type="button" id="menu_editar"  value="Modificar" class="ab" onClick="Editar(document.forma)" />
  <input type="button" id="menu_guardar" value="Guardar cambios" class="ab" onClick="Guardar(document.forma) "/>
  <input type="button" id="menu_eliminar" value="Eliminar" class="ab" onClick="Eliminar(document.forma) " />
  
<input type="button" class="ab" value="Buscar" onclick="genericAjax('divBuscar','buscar_clientes.php?valor='+$('#razonsocial').val())" />
  
 <!--  <input type="button" class="ab" id="buscar" value="Buscar" onclick="bus($('#razonsocial').val())" />-->
 
<!--    <input type="button" class="ab" id="buscar" value="Buscar" onclick="document.getElementById('lista_clientes').src='buscar_clientes.php?valor='+$('#razonsocial').val()" />
   -->
  <input type="button" id="menu_cancelar" value="Cancelar" class="ab" onClick="Cancelar(document.forma)" />
  
  <input type="hidden" id="operacion" name="operacion" />
  </p>
<table >
  <tr>
    <td id="t_razonsocial">Razón social&nbsp;</td>
    <td>
      
     <input type="hidden" class="aa" id='idusuario' name="idusuario" size="40"/>
     <script>
	 document.getElementById('idusuario').value=parent.document.getElementById('idusuario').value
	 </script>
     <input type="hidden" class="aa" id='idcliente' name="idcliente" size="40"/>
     <input type="text" class="aa" id='razonsocial' name="razonsocial" size="40" />
    </td>
  </tr>
 
  <tr>
    <td colspan="2">
    &nbsp;&nbsp;
    </td>
  </tr>
  
 <tr>
    <td colspan="2">
   
    </td>
  </tr>
  
</table>
</form>

<div id="divBuscar"  >&nbsp;&nbsp;</div>

<script>genericAjax('divBuscar','buscar_clientes.php?valor='+$('#razonsocial').val())</script>
</body>
</html>

